#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
import platform

def is_linux():
    if os.name == "posix" and platform.system() == "Linux":
        return True
    else:
        return False

def is_windows():
    if os.name == "nt" and platform.system() == "Windows":
        return True
    else:
        return False

def is_gnome():
    if os.environ.get("XDG_CURRENT_DESKTOP") == "GNOME":
        return True
    else:
        return False

def is_unity():
    if os.environ.get("XDG_CURRENT_DESKTOP") == "Unity":
        return True
    else:
        return False
